Package com.google.javascript.jscomp

# Class LightweightMessageFormatter

java.lang.Object
com.google.javascript.jscomp.AbstractMessageFormatter
com.google.javascript.jscomp.LightweightMessageFormatter

All Implemented Interfaces:
  `MessageFormatter`

public class LightweightMessageFormatter extends AbstractMessageFormatter
Lightweight message formatter. The format of messages this formatter produces is very compact and to the point.

## Constructor Summary

Constructors
Constructor
Description
`LightweightMessageFormatter(SourceExcerptProvider source)`
`LightweightMessageFormatter(SourceExcerptProvider source, SourceExcerptProvider.SourceExcerpt excerpt)`

## Method Summary

Modifier and Type
Method
Description
`String`
`formatError(JSError error)`
Format an error.
`String`
`formatWarning(JSError warning)`
Format a warning.

### Methods inherited from class com.google.javascript.jscomp.AbstractMessageFormatter

`getSource, setColorize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LightweightMessageFormatter

public LightweightMessageFormatter(SourceExcerptProvider source)

### LightweightMessageFormatter

public LightweightMessageFormatter(SourceExcerptProvider source, SourceExcerptProvider.SourceExcerpt excerpt)

## Method Details

### formatError

public String formatError(JSError error)
Description copied from interface: `MessageFormatter`
Format an error.

### formatWarning

public String formatWarning(JSError warning)
Description copied from interface: `MessageFormatter`
Format a warning.